#ifndef __CONFIG_H
#define __CONFIG_H


#define DEFAULT_SOCKET "./ucart.socket"
#define SOCKET_ENV "UCART_SOCKET"
#define NOQUAD_ENV "UCART_NO_QUAD"
#define NOVRPN_ENV "UCART_NO_VRPN"


// If you are planning on using any of these env vars and you have
// 	exported them with normal user rights. You will need to run the 
// 	backend with sudo elevation and with the --preserve-env flag or -E
#define QUAD_COMM_ENV "UCART_COMM_CHANNEL"

#define QUAD_LOCAL_RX "UCART_LOCAL_RX"
#define QUAD_LOCAL_TX "UCART_LOCAL_TX"
#define QUAD_LOCAL_DEFAULT_RX "../quad/bin/virt-quad-fifos/uart-rx"
#define QUAD_LOCAL_DEFAULT_TX "../quad/bin/virt-quad-fifos/uart-tx"


#define QUAD_IP_ENV "UCART_QUAD_IP"
#define QUAD_IP_DEFAULT "192.168.1.1"
#define QUAD_PORT_ENV "UCART_QUAD_PORT"
#define QUAD_PORT_DEFAULT 8080

#endif /* __CONFIG_H */
